Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class OOBCert

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmp.CMPCertificate
              org.bouncycastle.asn1.cmp.OOBCert

All Implemented Interfaces:
  ASN1Choice, ASN1Encodable, Encodable

public class OOBCert
extends CMPCertificate

OOBCert ::= CMPCertificate

Constructor Summary
`OOBCert(AttributeCertificate x509v2AttrCert)`
`OOBCert(Certificate x509v3PKCert)`
`OOBCert(int type, ASN1Object otherCert)`

Method Summary
`static CMPCertificate` | `getInstance(ASN1TaggedObject ato, boolean isExplicit)`
`static CMPCertificate` | `getInstance(java.lang.Object o)`

Methods inherited from class org.bouncycastle.asn1.cmp.CMPCertificate
`getOtherCert, getOtherCertTag, getX509v2AttrCert, getX509v3PKCert, isX509v3PKCert, toASN1Primitive`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OOBCert

    public OOBCert(AttributeCertificate x509v2AttrCert)

### OOBCert

    public OOBCert(int type,
                   ASN1Object otherCert)

### OOBCert

    public OOBCert(Certificate x509v3PKCert)

Method Detail

### getInstance

    public static CMPCertificate getInstance(ASN1TaggedObject ato,
                                             boolean isExplicit)

### getInstance

    public static CMPCertificate getInstance(java.lang.Object o)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD